#/bin/bash

# https://stackoverflow.com/a/4774063
SCRIPTPATH="$(cd -- "$(dirname "$0")" >/dev/null 2>&1; pwd -P)"

source "$SCRIPTPATH/vars.sh"

day_tag=$(date '+%Y-%m-%d')

docker image ls "$IMAGE_REGISTRY/$IMAGE_OWNER/$IMAGE_NAME" --format '{{.Tag}}' | while read image_tag ;
do

	if [[ "$image_tag" =~ ^((gpu)|(cpu))-((arm64)|(amd64))$ ]]; 
	then

		echo "Push:"
		echo "	$IMAGE_REGISTRY/$IMAGE_OWNER/$IMAGE_NAME:$image_tag"
		echo "	$IMAGE_REGISTRY/$IMAGE_OWNER/$IMAGE_NAME:$image_tag-$day_tag"

		docker push "$IMAGE_REGISTRY/$IMAGE_OWNER/$IMAGE_NAME:$image_tag"

		docker tag "$IMAGE_REGISTRY/$IMAGE_OWNER/$IMAGE_NAME:$image_tag" \
				"$IMAGE_REGISTRY/$IMAGE_OWNER/$IMAGE_NAME:$image_tag-$day_tag"

		docker push "$IMAGE_REGISTRY/$IMAGE_OWNER/$IMAGE_NAME:$image_tag-$day_tag"
	fi;
done